# SPDX-License-Identifier: AGPL-3.0-or-later
# SPDX-FileCopyrightText: 2023 swt23w23
{ pkgs ? import <nixpkgs> { } }:
let
  texlive = pkgs.texlive.combine {
    inherit (pkgs.texlive) scheme-small
      datetime2
      datetime2-german
      latexmk;
  };
in
with pkgs;
mkShell {
  buildInputs = [
    asciidoctor
    editorconfig-checker
    gitlint
    jdk17
    plantuml
    pre-commit
    reuse # licensing
    texlive
    watchexec # enables automatic compiling on change
  ];

  shellHook = ''
    pre-commit install
  '';
}
