// SPDX-License-Identifier: AGPL-3.0-or-later
// SPDX-FileCopyrightText: 2023-2024 swt23w23
package catering.orderCatalog;

import org.salespointframework.catalog.Product;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.util.Streamable;

public interface CustomCatalogEntryRepository extends CrudRepository<CustomCatalogEntry, Long> {
	@Override
	Streamable<CustomCatalogEntry> findAll();

	@Query("SELECT entry FROM CustomCatalogEntry entry JOIN entry.products p WHERE KEY(p) = :product")
	Streamable<CustomCatalogEntry> findByProduct(Product product);
}
