// SPDX-License-Identifier: AGPL-3.0-or-later
// SPDX-FileCopyrightText: 2023-2024 swt23w23
package catering.users;

import org.springframework.validation.Errors;

/**
 * An extension of {@link UserFormWithPassword} to validate input during profile
 * editing.
 *
 * The password can be empty.
 */
public class ProfileForm extends UserFormWithPassword {
	ProfileForm(String username, String address, String fullName, String password) {
		super(username, address, fullName, password);
	}

	public void validatePasswordGeneric(Errors e) {
		if (e.getFieldValue("password") == null) {
			e.rejectValue("password", "password must not be null");
		}
	}
}
