// SPDX-License-Identifier: AGPL-3.0-or-later
// SPDX-FileCopyrightText: 2023-2024 swt23w23
package catering.users;

import org.springframework.validation.Errors;
import org.springframework.validation.ValidationUtils;

/**
 * An extension of {@link UserFormWithPassword} to validate input during
 * registration.
 *
 * It requires the password to be not empty.
 */
public class RegistrationForm extends UserFormWithPassword {
	RegistrationForm(String username, String address, String fullName, String password) {
		super(username, address, fullName, password);
	}

	public static RegistrationForm empty() {
		return new RegistrationForm("", "", "", "");
	}

	public void validatePasswordGeneric(Errors e) {
		ValidationUtils.rejectIfEmptyOrWhitespace(e, "password", "password must not be empty");
	}
}
