// SPDX-License-Identifier: AGPL-3.0-or-later
// SPDX-FileCopyrightText: 2023-2024 swt23w23
package catering.users;

/**
 * An abstract class to hold form input for {@link User} data.
 *
 * It can be extended to validate input for different use cases.
 */
public abstract class UserForm {

	private final String username, address, fullName;

	public UserForm(String username, String address, String fullName) {
		this.username = username;
		this.address = address;
		this.fullName = fullName;
	}

	public String getUsername() {
		return username;
	}

	public String getAddress() {
		return address;
	}

	public String getFullName() {
		return fullName;
	}
}
