// SPDX-License-Identifier: Apache-2.0 AND AGPL-3.0-or-later
// SPDX-FileCopyrightText: 2014-2023 the original author or authors.
// SPDX-FileCopyrightText: 2023 swt23w23
package catering.welcome;

import static org.hamcrest.CoreMatchers.*;
import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.*;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.*;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.web.servlet.AutoConfigureMockMvc;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.web.servlet.MockMvc;

@SpringBootTest
@AutoConfigureMockMvc
class WelcomeControllerIntegrationTests {

	@Autowired MockMvc mvc;

	@Test
	void showsWelcomeMessage() throws Exception {
		mvc.perform(get("/")) //
				.andExpect(status().isOk())
				.andExpect(content().string(containsString("Catering Mampf")));
	}
}
